<?php
namespace Claromentis\People\Event;

$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] ?: array()) + array("use" . "r_i" . "d" => base64_decode("dXNlcl9pZ" . "A=="), "_539cf4259a149ca" . "9dbb739b2cdb7c60" . "8" => base64_decode("ZW1haW" . "xfYWRk" . "cmVzcw" . "=="), "_eb6cb4623735c07195e93735d6592" . "36d" => base64_decode("cHJldl9lbWFpb" . "F9hZGRyZXNz"), "_dd45fa0d6586ab8e73f6f6f1" . "16b1a970" => base64_decode("cHJldl91c2" . "VyX2lk"), "_baec81a782bb3d5" . "38149a9225688246" . "e" => base64_decode("ZXZlbnRfc2" . "91cmNl"), "_8cca4dd34e20c5344bb2a30f253" . "3c4e5" => base64_decode("ZnVsbF9u" . "YW1l"), "_b070ffda70d673baa2" . "ab1a4ca13c254c" => base64_decode("cHJldl91c2" . "VybmFtZQ=="), "_28c85ce81fee65" . "32980262893b6f2" . "425" => base64_decode("dXNlcm5" . "hbWU="), "cont" . "ext" => base64_decode("Y29udGV4d" . "A=="), "_5439477835f9c7cc26a988" . "f88cb19553" => base64_decode("cHJldl9mdW" . "xsX25hbWU="));
use Claromentis\Core\Event\GenericEvent;
use Claromentis\Core\Security\SecurityContext;
use InvalidArgumentException;









class UpdateUserEvent extends GenericEvent
{
    private $error_message = '';
    
    
    
    
    
    
    
    
    public function GetContext() : ?SecurityContext
    {
        return $this->hasArgument($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["cont" . "ext"]) ? $this->getArgument($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["contex" . "t"]) : null;
    }
    
    
    
    
    
    
    public function GetUserId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["us" . "er" . "_i" . "d"]);
    }
    
    
    
    
    public function GetFullName()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_8cca4dd34e20c5344bb2a30f2533c4e" . "5"]);
    }
    
    
    
    
    public function GetUsername()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_28c85ce81fee65" . "32980262893b6f2" . "425"]);
    }
    
    
    
    
    public function GetEmailAddress()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_539cf4259a149ca9dbb739b2cdb7c" . "608"]);
    }
    
    
    
    
    public function GetPrevUserId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_dd45fa0" . "d6586ab8" . "e73f6f6f" . "116b1a97" . "0"]);
    }
    
    
    
    
    public function GetPrevFullName()
    {
        return $this->getArgument($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_5439477835f9c7cc26a988f88cb1" . "9553"]);
    }
    
    
    
    
    public function GetPrevUsername()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_b070ffda70d673baa2ab1a4c" . "a13c254c"]);
    }
    
    
    
    
    public function GetPrevEmailAddress()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_eb6cb4623735c0719" . "5e93735d659236d"]);
    }
    
    
    
    
    
    
    
    
    public function GetEventSource()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_baec81a782bb" . "3d538149a9225" . "688246e"]);
    }
    
    
    
    
    
    
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
    
    
    
    
    
    
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
}